Summary: Audio format Conversion library
Name: libsndfile1
Version: 1.0.25
Release: r2.0
License: LGPLv2.1
Group: libs/multimedia
Packager: Wind River <info@windriver.com>
URL: http://www.mega-nerd.com/libsndfile
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: alsa-lib
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: sqlite3
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libm.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires: libm.so.6()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): libm.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.7)(64bit)
Requires(post): libm.so.6()(64bit)
Provides: libsndfile.so.1(libsndfile.so.1.0)(64bit)
Provides: elf(buildid) = 74a7a7d30803bfdd73447f080d5549b12ebccda6
Provides: libsndfile.so.1()(64bit)

%description
Audio format Conversion library.

%package -n libsndfile-dbg
Summary: Audio format Conversion library - Debugging files
Group: devel
Suggests: libsqlite3-dbg
Suggests: libc6-dbg
Suggests: libasound-dbg
Recommends: libsndfile1 = 1.0.25-r2.0
Provides: libsndfile1-dbg

%description -n libsndfile-dbg
Audio format Conversion library.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n libsndfile-staticdev
Summary: Audio format Conversion library - Development files (Static Libraries)
Group: devel
Requires: libsndfile-dev = 1.0.25-r2.0
Provides: libsndfile1-staticdev

%description -n libsndfile-staticdev
Audio format Conversion library.  This package contains static libraries
for software development.

%package -n libsndfile-dev
Summary: Audio format Conversion library - Development files
Group: devel
Requires: libsndfile1 = 1.0.25-r2.0
Suggests: libc6-dev
Suggests: libsqlite3-dev
Suggests: libasound-dev
Suggests: sqlite3-dev
Suggests: alsa-lib-dev
Provides: libsndfile1-dev

%description -n libsndfile-dev
Audio format Conversion library.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n libsndfile-doc
Summary: Audio format Conversion library - Documentation files
Group: doc
Provides: libsndfile1-doc

%description -n libsndfile-doc
Audio format Conversion library.  This package contains documentation.

%package -n libsndfile-locale
Summary: Audio format Conversion library
Group: libs/multimedia
Provides: libsndfile1-locale

%description -n libsndfile-locale
Audio format Conversion library.

%package -n libsndfile-bin
Summary: Audio format Conversion library
Group: libs/multimedia
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libasound.so.2()(64bit)
Requires: libasound.so.2(ALSA_0.9.0rc4)(64bit)
Requires: libc.so.6()(64bit)
Requires: libsqlite3.so.0()(64bit)
Requires: libsndfile1 >= 1.0.25
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires: libasound.so.2(ALSA_0.9)(64bit)
Requires: libsqlite3-0 >= 3.8.6.0
Requires: libsndfile.so.1(libsndfile.so.1.0)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libasound2 >= 1.0.28
Requires: libpthread.so.0()(64bit)
Requires: libm.so.6(GLIBC_2.2.5)(64bit)
Requires: libsndfile.so.1()(64bit)
Requires: libm.so.6()(64bit)
Provides: libsndfile1-bin
Provides: elf(buildid) = dbd771b45b1aacaa250aec8fe9bee8e03ec0179f
Provides: elf(buildid) = c93118f2d0795b84a78c4a81f9e4e4f281ea0b6a
Provides: elf(buildid) = b889cf68f005ab173c205b987edac789f5bc8290
Provides: elf(buildid) = 4a3ec82926fc294e51210eebe4f304514a9b5d3c
Provides: elf(buildid) = aceffaf5562dc6a572b4d815e2b2d2880cff0a5d
Provides: elf(buildid) = 3458352e06826047f5b373d028821b6fc171ae1b
Provides: elf(buildid) = e3ef2cb2f0ee1a1535cb576e4536e5a258322b09
Provides: elf(buildid) = d18365e49f05a49961211b7e144227cc530e94ba
Provides: elf(buildid) = 94d8b4328337d3371284d040070244fdee7f829d
Provides: elf(buildid) = 8e6a2e9838bac52f55d5123ab9ca01ef96523a04
Provides: elf(buildid) = 6242dcccb0cb2ddea0b5d7cd8925b2c811ee5d75

%description -n libsndfile-bin
Audio format Conversion library.

%post
# libsndfile1 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libsndfile.so.1.0.25"
"/usr/lib64/libsndfile.so.1"

%files -n libsndfile-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/sndfile-interleave"
"/usr/bin/.debug/sndfile-play"
"/usr/bin/.debug/sndfile-metadata-get"
"/usr/bin/.debug/sndfile-info"
"/usr/bin/.debug/sndfile-cmp"
"/usr/bin/.debug/sndfile-salvage"
"/usr/bin/.debug/sndfile-concat"
"/usr/bin/.debug/sndfile-metadata-set"
"/usr/bin/.debug/sndfile-convert"
"/usr/bin/.debug/sndfile-regtest"
"/usr/bin/.debug/sndfile-deinterleave"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libsndfile1"
%dir "/usr/src/debug/libsndfile1/1.0.25-r2"
%dir "/usr/src/debug/libsndfile1/1.0.25-r2/build"
%dir "/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25"
%dir "/usr/src/debug/libsndfile1/1.0.25-r2/build/src"
"/usr/src/debug/libsndfile1/1.0.25-r2/build/src/sndfile.h"
%dir "/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs"
%dir "/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src"
%dir "/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/regtest"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/sndfile-cmp.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/sndfile-play.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/common.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/sndfile-salvage.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/sndfile-interleave.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/sndfile-convert.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/sndfile-metadata-set.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/sndfile-deinterleave.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/sndfile-info.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/sndfile-concat.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/sndfile-metadata-get.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/programs/common.c"
%dir "/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/G72x"
%dir "/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/ircam.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/aiff.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/g72x.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/wav.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/xi.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/caf.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/common.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/sfendian.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/command.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/ogg_pcm.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/voc.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/pcm.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/file_io.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/flac.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/interleave.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/rx2.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/double64.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/macbinary3.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/sds.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/pvf.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/audio_detect.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/htk.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/id3.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/sd2.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/gsm610.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/svx.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/dither.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/sndfile.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/txw.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/ima_oki_adpcm.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/wav_w64.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/raw.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/alaw.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/ms_adpcm.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/dwd.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/float32.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/vox_adpcm.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/ogg.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/au.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/rf64.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/strings.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/chanmap.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/nist.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/mat4.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/broadcast.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/ulaw.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/paf.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/w64.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/chunk.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/chanmap.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/mpc2k.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/mat5.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/ogg_speex.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/macos.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/ima_oki_adpcm.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/wav_w64.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/dwvw.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/ima_adpcm.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/common.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/wve.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/avr.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/ogg_vorbis.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/G72x/g72x.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/G72x/g723_16.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/G72x/g723_40.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/G72x/g721.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/G72x/g72x.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/G72x/g72x_priv.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/G72x/g723_24.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/decode.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/gsm_option.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/gsm610_priv.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/gsm_decode.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/preprocess.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/long_term.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/rpe.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/gsm_destroy.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/short_term.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/gsm_encode.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/add.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/gsm.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/code.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/table.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/lpc.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/src/GSM610/gsm_create.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/regtest/database.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/regtest/regtest.h"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/regtest/checksum.c"
"/usr/src/debug/libsndfile1/1.0.25-r2/libsndfile-1.0.25/regtest/sndfile-regtest.c"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libsndfile.so.1.0.25"

%files -n libsndfile-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libsndfile.a"

%files -n libsndfile-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/include"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libsndfile.so"
"/usr/lib64/libsndfile.la"
"/usr/lib64/pkgconfig/sndfile.pc"
"/usr/include/sndfile.h"
"/usr/include/sndfile.hh"

%files -n libsndfile-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/doc"
%dir "/usr/share/man/man1"
"/usr/share/man/man1/sndfile-deinterleave.1"
"/usr/share/man/man1/sndfile-interleave.1"
"/usr/share/man/man1/sndfile-concat.1"
"/usr/share/man/man1/sndfile-metadata-set.1"
"/usr/share/man/man1/sndfile-convert.1"
"/usr/share/man/man1/sndfile-metadata-get.1"
"/usr/share/man/man1/sndfile-info.1"
"/usr/share/man/man1/sndfile-cmp.1"
"/usr/share/man/man1/sndfile-play.1"
%dir "/usr/share/doc/libsndfile1-dev"
%dir "/usr/share/doc/libsndfile1-dev/html"
"/usr/share/doc/libsndfile1-dev/html/tutorial.html"
"/usr/share/doc/libsndfile1-dev/html/octave.html"
"/usr/share/doc/libsndfile1-dev/html/embedded_files.html"
"/usr/share/doc/libsndfile1-dev/html/command.html"
"/usr/share/doc/libsndfile1-dev/html/index.html"
"/usr/share/doc/libsndfile1-dev/html/new_file_type.HOWTO"
"/usr/share/doc/libsndfile1-dev/html/api.html"
"/usr/share/doc/libsndfile1-dev/html/win32.html"
"/usr/share/doc/libsndfile1-dev/html/sndfile_info.html"
"/usr/share/doc/libsndfile1-dev/html/FAQ.html"
"/usr/share/doc/libsndfile1-dev/html/dither.html"
"/usr/share/doc/libsndfile1-dev/html/lists.html"
"/usr/share/doc/libsndfile1-dev/html/bugs.html"
"/usr/share/doc/libsndfile1-dev/html/libsndfile.jpg"
"/usr/share/doc/libsndfile1-dev/html/libsndfile.css"
"/usr/share/doc/libsndfile1-dev/html/pkgconfig.html"

%files -n libsndfile-bin
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/sndfile-interleave"
"/usr/bin/sndfile-play"
"/usr/bin/sndfile-metadata-get"
"/usr/bin/sndfile-info"
"/usr/bin/sndfile-cmp"
"/usr/bin/sndfile-salvage"
"/usr/bin/sndfile-concat"
"/usr/bin/sndfile-metadata-set"
"/usr/bin/sndfile-convert"
"/usr/bin/sndfile-regtest"
"/usr/bin/sndfile-deinterleave"

